Package be.vlaanderen.mercurius.mohm.common.v7

# Class EstimateDocumentType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.EstimateDocumentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class EstimateDocumentType extends Object implements Serializable
Generiek type voor een BTC-bestek in een aanvraag.

Java class for EstimateDocumentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EstimateDocumentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EstimatedPrice" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType"/>
             <element name="EstimateDocument" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EstimateDocumentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentListType`
  `getEstimateDocument()`
  Ingescande versie van het bestek.
  `BigDecimal`
  `getEstimatedPrice()`
  Geschatte prijs van het bestek.
  `void`
  `setEstimateDocument(DocumentListType value)`
  Sets the value of the estimateDocument property.
  `void`
  `setEstimatedPrice(BigDecimal value)`
  Sets the value of the estimatedPrice property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EstimateDocumentType

    public EstimateDocumentType()

- ## Method Details

  - ### getEstimatedPrice

    public BigDecimal getEstimatedPrice()
    Geschatte prijs van het bestek.
    Returns:
      possible object is `BigDecimal`

  - ### setEstimatedPrice

    public void setEstimatedPrice(BigDecimal value)
    Sets the value of the estimatedPrice property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getEstimatedPrice()`

  - ### getEstimateDocument

    public DocumentListType getEstimateDocument()
    Ingescande versie van het bestek.
    Returns:
      possible object is `DocumentListType`

  - ### setEstimateDocument

    public void setEstimateDocument(DocumentListType value)
    Sets the value of the estimateDocument property.
    Parameters:
      `value` - allowed object is `DocumentListType`
    See Also:
      - `getEstimateDocument()`